function display(system)

n = length(system.ActivePlanets);

% whitebg('black')
%makes the background black - looks cool
hold on

size = getSize(system);
range = [-size size];
axis([range range .25*range]);

for i = 1:n
    %plot the planets by their initial position
    planet = system.ActivePlanets{i};
    X = planet.InitialPosition(1);
    Y = planet.InitialPosition(2);
    Z = planet.InitialPosition(3);
    plot3(X,Y,Z,planet.OrbitColor,'MarkerSize',planet.MarkerSize)
    
     if ~isempty(planet.Moons)&&(planet.IncludeMoons==1)
         %plot the moons
         for j = 1:length(planet.Moons)
             moon = planet.Moons{j};
             x = moon.InitialPosition(1);
             y = moon.InitialPosition(2);
             z = moon.InitialPosition(3);
             plot3(x,y,z,moon.OrbitColor,'MarkerSize',moon.MarkerSize)
         end
     end
end
hold off
end