classdef Venus < Planet

properties
end

methods
    % constructor
    function planet = Venus(system)
        planet = planet@Planet(system);
        planet.System = system;
        planet.Symbol = 'V';
        planet.Name = 'Venus';
        planet.OrbitColor='w.';
        planet.MarkerSize=8;
        planet.Mass=4.87*10^23;
        planet.Radius=6052;
        planet.Inclination = 2.19; %degrees
        planet.RelativeVelocity = 35.02*31556926; %1 year = 31 556 926 seconds
        planet.InitialPosition=[108208930 0 0]; %[km]
        planet.InitialVelocity=getInitialVelocity(planet); % [km/yr] 
        planet.DistanceFromSun=108208930; %[km]
        planet.MoonName= {};
        addPlanet(system, planet);
    end
    
    
    end
end
    