classdef Mercury < Planet

properties
end

methods
    % constructor
    function planet = Mercury(system)
        planet = planet@Planet(system);
        planet.System = system;
        planet.Symbol = 'M';
        planet.Name = 'Mercury';
        planet.OrbitColor='c.';
        planet.MarkerSize=8;
        planet.Mass=3.3*10^23;
        planet.Radius=2439;
        planet.Inclination = 6.34; %degrees
        planet.InitialPosition=[5.79*10^7 0 0]; %[km]
        planet.RelativeVelocity = 47.87*31556926; % [km/yr] %1 year = 31 556 926 seconds
        planet.InitialVelocity=getInitialVelocity(planet);
        planet.DistanceFromSun=5.79*10^7; %[km]
        planet.MoonName={};
        addPlanet(system, planet);
    end
    
end
        
end
    