classdef Sun < Planet

properties
end

methods
    % Sun's constructor
    function planet = Sun(system)
        planet = planet@Planet(system);
        planet.System = system;
        planet.Name = 'Sun';
        planet.Symbol= 'Sun';
        planet.OrbitColor='y.';
        planet.MarkerSize = 30;
        planet.Mass=1.9891*10^30;
        planet.Radius=6.955*10^5;
        planet.InitialPosition=[0 0 0]; %[km]
        planet.InitialVelocity=[0 0 0];%[km/yr]
        planet.DistanceFromSun=0; %[km]
    end
    
    
    
end
        
end
    